=== debian/changelog ===
libusermetrics (1.3.2-1build5) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:38:44 +0000

libusermetrics (1.3.2-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:19:28 +0000

libusermetrics (1.3.2-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:42:33 +0000

libusermetrics (1.3.2-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:06:18 +0000

libusermetrics (1.3.2-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:31:18 +0000

libusermetrics (1.3.2-1) unstable; urgency=medium

  [ Marius Gripsgard ]
  * New upstream release
  * debian/patches: Drop upstreamed patch
    - 0001-upgrade-cpp-standard-to-cpp17.patch
  * debian/*: Add patch to use en_US as LANG or LANGUAGE will be
    ignored in latest gettext version. Also add locales-all to B-D
    (closes: #1054997)

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 01 Feb 2024 04:08:35 +0100

libusermetrics (1.3.0-2) unstable; urgency=medium

  * debian/patches: Add patch to fix FTBFS with googletest 1.13.0
    (closes: #1041135)
  * debian/control: Add myself as uploader

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 27 Jul 2023 01:01:00 +0200
