## libusermetrics 1.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.5.)
 
-project(libusermetrics VERSION 1.3.2 LANGUAGES CXX)
+project(libusermetrics VERSION 1.3.3 LANGUAGES CXX)
 
 option (ENABLE_TESTS "Enable testing" ON)
