=== data/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	DIRECTORY
 		libusermetrics
 	DESTINATION
-		${CMAKE_INSTALL_DATADIR}
+		${CMAKE_INSTALL_FULL_DATADIR}
 )
 
 ###########################
@@ -19,7 +19,7 @@
 
 set(
 	DBUSCONFDIR
-	"${CMAKE_INSTALL_SYSCONFDIR}/dbus-1/system.d"
+	"${CMAKE_INSTALL_FULL_SYSCONFDIR}/dbus-1/system.d"
 )
 
 install(
@@ -34,7 +34,7 @@
 
 set(
 	DBUSIFACEDIR
-	"${CMAKE_INSTALL_DATADIR}/dbus-1/interfaces/"
+	"${CMAKE_INSTALL_FULL_DATADIR}/dbus-1/interfaces/"
 )
 
 install(
@@ -52,7 +52,7 @@
 
 set(
 	DBUSSERVICEDIR
-	"${CMAKE_INSTALL_DATADIR}/dbus-1/system-services/"
+	"${CMAKE_INSTALL_FULL_DATADIR}/dbus-1/system-services/"
 )
 
 set(USERMETRICS_SERVICE
