=== src/libusermetricsinput/CMakeLists.txt ===
--- 
+++ 
@@ -84,8 +84,8 @@
 
 install(
   TARGETS usermetricsinput
-  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
-  PUBLIC_HEADER DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/libusermetrics-${API_VERSION}/libusermetricsinput"
+  LIBRARY DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}
+  PUBLIC_HEADER DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/libusermetrics-${API_VERSION}/libusermetricsinput"
 )
 
 # Package config
@@ -95,7 +95,7 @@
 
 install(
   FILES "${CMAKE_CURRENT_BINARY_DIR}/${LIBUSERMETRICSINPUT_PC}"
-  DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
+  DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig"
 )
 
 ##########################
@@ -115,7 +115,7 @@
 
 install(
   TARGETS usermetricsinput-bin
-  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+  RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_BINDIR}
 )
 
 target_link_libraries(
@@ -135,7 +135,7 @@
 
 install(
   TARGETS usermetricsinput-increment
-  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+  RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_BINDIR}
 )
 
 target_link_libraries(
