=== src/libusermetricsoutput/CMakeLists.txt ===
--- 
+++ 
@@ -76,8 +76,8 @@
 
 install(
   TARGETS usermetricsoutput
-  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
-  PUBLIC_HEADER DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/libusermetrics-${API_VERSION}/libusermetricsoutput"
+  LIBRARY DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}
+  PUBLIC_HEADER DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/libusermetrics-${API_VERSION}/libusermetricsoutput"
 )
 
 # Package config
@@ -87,5 +87,5 @@
 
 install(
   FILES "${CMAKE_CURRENT_BINARY_DIR}/${LIBUSERMETRICSOUTPUT_PC}"
-  DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
+  DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig"
 )
