=== tests/data/CMakeLists.txt ===

add_subdirectory(en_FAKELANG)
