=== debian/changelog ===
libusermetrics (1.3.3-2) unstable; urgency=medium

  * debian/control:
    + Move adduser from D: (usermetricsservice) to Pre-D:. The adduser tool
      is used in .preinst script. (Closes: #1102247).
  * debian/rules:
    + Remove build-cruft during dh_clean override. (Closes: #1047856).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 May 2025 21:06:26 +0200

libusermetrics (1.3.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001-tests-Use-en_US.UTF-8-as-gettext-will-ignore-LANGUAG.patch.
      Applied upstream.
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
    + In B-D, switch from pkg-config to pkgconf.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 18 Aug 2024 18:38:47 +0200
