=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libusermetrics
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Marius Gripsgard <mariogrip@debian.org>,
 Section: libs
@@ -22,7 +21,7 @@
                libqt5sql5-sqlite,
                libqt5xmlpatterns5-dev,
                libqtdbustest1-dev,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
                qml-module-qtquick2,
                qml-module-qttest,
@@ -30,7 +29,7 @@
                qtdeclarative5-dev,
                sqlite3,
                locales-all
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/ubports-team/libusermetrics/
 Vcs-Git: https://salsa.debian.org/ubports-team/libusermetrics.git
 Homepage: https://gitlab.com/ubports/development/core/libusermetrics
@@ -39,8 +38,8 @@
 Package: usermetricsservice
 Architecture: any
 Multi-Arch: foreign
-Depends: adduser,
-         dbus,
+Pre-Depends: adduser,
+Depends: dbus,
          libqt5sql5-sqlite,
          sqlite3,
          ${misc:Depends},
